﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Demo1
{
    static class NcConfig
    {
        static public uint[] fpgaVer = new uint[16];
        static public bool[] fpgaIs0102 = new bool[16];
        static public uint[] enableSinglePWM = new uint[16];
        static public uint[] pwmPeriod = new uint[16];
        static public uint[] pwmWidth = new uint[16];
        static public uint[] pulseWidth = new uint[16];
        static public ushort[] mirrorPos0 = new ushort[16];
        static public ushort[] mirrorPos1 = new ushort[16];
        static public ushort[] mirrorPos2 = new ushort[16];
        static public uint[] halOffset = new uint[16];

        static public void Load()
        {
            for (int i = 0; i < 16; i++)
            {
                fpgaIs0102[i] = false;
                fpgaVer[i] = 0x0101;
                enableSinglePWM[i] = 0;

                pwmPeriod[i] = 50000u;
                pwmWidth[i] = 25000u;
                pulseWidth[i] = 0;
                mirrorPos0[i] = 0x8000;
                mirrorPos1[i] = 0x8000;
                mirrorPos2[i] = 0x8000;
            }
        }
    }
}
